Bug 249417 - Revisor does not use mirrors intelligently and is very slow
Revisor does not use mirrors intelligently and is very slow
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-24 12:10 EDT by Oded Arbel
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-13 14:33:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2007-07-24 12:10:49 EDT
Description of problem:
Even with yum-fastestmirror plugin installed, the revisor package download
process is very slow as it downloads packages from slow mirrors, in what appears
to be a rather random selection of mirrors. Selecting mirrors randomly is a
sub-optimal strategy as it is virtually guaranteed that with a world-wide
selection of mirrors then most mirrors will be very slow for any given user.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start revisor
2. click forward until it starts processing
3. wait for the download packages stage to start
Actual results:
Download is very slow

Expected results:
Downloading packages should be as fast as running yum on the same machine

Additional info:
Comment 1 Jeroen van Meeuwen 2007-07-25 07:59:16 EDT
Revisor doesn't load yum plugins yet.
Comment 2 Jonathan Steffan 2007-08-13 14:33:00 EDT

Please follow this RFE upstream.
Comment 3 Jonathan Steffan 2007-08-13 14:33:57 EDT
With regards to your exact issue, try setting the baseurl for your desired repo
and not use the mirrorlist.

Note You need to log in before you can comment on or make changes to this bug.